summaryrefslogtreecommitdiffstats
path: root/installer/opengnsys_update.sh
diff options
context:
space:
mode:
Diffstat (limited to 'installer/opengnsys_update.sh')
-rwxr-xr-xinstaller/opengnsys_update.sh25
1 files changed, 25 insertions, 0 deletions
diff --git a/installer/opengnsys_update.sh b/installer/opengnsys_update.sh
index e692ff7e..8786e7b2 100755
--- a/installer/opengnsys_update.sh
+++ b/installer/opengnsys_update.sh
@@ -538,6 +538,28 @@ function updateClient()
echoAndLog "${FUNCNAME}(): Client update successfully"
}
+# Resumen de actualización.
+function updateSummary()
+{
+ # Actualizar fichero de versión y revisión.
+ local VERSIONFILE="$INSTALL_TARGET/doc/VERSION.txt"
+ local REVISION=$(LANG=C svn info $SVN_URL|awk '/Revision:/ {print " r"$2}')
+
+ [ -f $VERSIONFILE ] || echo "OpenGnSys" >$VERSIONFILE
+ if grep -q " r[0-9]*$" $VERSIONFILE 2>/dev/null; then
+ echo " $REVISION" >>$VERSIONFILE
+ else
+ perl -pi -e "s/ r[0-9]*/$REVISION/" $VERSIONFILE
+ fi
+
+ echo
+ echoAndLog "OpenGnSys Update Summary"
+ echo "========================"
+ echoAndLog "Project version: $(cat $VERSIONFILE)"
+ echo
+}
+
+
#####################################################################
####### Proceso de actualización de OpenGnSys
@@ -637,6 +659,9 @@ if [ -f /tmp/dstate ]; then
rm -f /tmp/dstate
fi
+# Mostrar resumen de actualización.
+updateSummary
+
#rm -rf $WORKDIR
echoAndLog "OpenGnSys update finished at $(date)"